using System;
namespace PingPong.GameEngine.Components
{
	public interface IScorable<T>
	{
		/// <summary>
		/// Gets the score.
		/// </summary>
		/// <value>
		/// The score.
		/// </value>
		Score Score { get; }
		
		/// <summary>
		/// Sets the score.
		/// </summary>
		/// <returns>
		/// The score.
		/// </returns>
		/// <param name='score'>
		/// Score.
		/// </param>
		T SetScore(Score score);
	}
}

